跳转至
For the complete DHIS2 documentation index, see llms.txt.

审核

稽核

GET /api/scheduler/queueable

汇总数据价值审核

GET /api/scheduler/queueable?name={queue}

This will also exclude all jobs that are already part the named queue.

同步化 { #webapi_synchronization }

默认值 选项 描述
Table: Query parameters 元数据拉取 { #webapi_sync_metadata_pull } 要从远程 JSON 文档中启动元数据拉取,您可以创建一个
使用 url 作为请求负载的 POST 请求到以下资源:
> Note
>
> The supplied URL will be checked against the config property metadata.sync.remote_servers_allowed in the dhis.conf file.
> If the base URL is not one of the configured servers allowed then the operation will not be allowed. See failure example below.
> Some examples where the config set is metadata.sync.remote_servers_allowed=https://server1.org/,https://server2.org/
> - supply https://server1.org/path/to/resource -> this will be accepted
> - supply https://server2.org/resource/path -> this will be accepted
> - supply https://oldserver.org/resource/path -> this will be rejected
>
Sample failure response ```json
{
"httpStatus": "Conflict",
"httpStatusCode": 409,
"status": "ERROR",
"message": "Provided URL is not in the remote servers allowed list",
"errorCode": "E1004"
}
```
聚乙烯 To retrieve information about a form (which corresponds to a data set
and its sections) you can interact with the form resource. The form
response is accessible as XML and JSON and will provide information
about each section (group) in the form as well as each field in the
sections, including labels and identifiers. By supplying period and
organisation unit identifiers the form response will be populated with
data values. / api / 33 /同步/可用性
```json
["www.google.com", "www.dhis2.org", "www.who.int"]
``` DHIS2 will audit updates and deletions of aggregate data values, tracked entity data values, tracked entity attribute values and data approval records. This section explains how to retrieve audit records for the mentioned entities. Note that several of the query parameters can be repeated any number of times.
The endpoint for aggregate data value audits is located at: ```
/api/audits/dataValue
```
Table: Aggregate data value query parameters 选项
true ds 真正
定义要返回的页码。 Data approval workflow ID
定义每页返回的元素数量。 Organisation unit ID

Organisation unit ID

One or more org unit identifiers

auditType

跟踪实体数据价值审核

跟踪实体数据值审计的端点位于

/api/audits/trackedEntityDataValue

表:跟踪实体数据值查询参数

默认值 选项 描述
> Note
>
> The supplied URL will be checked against the config property metadata.sync.remote_servers_allowed in the dhis.conf file.
> If the base URL is not one of the configured servers allowed then the operation will not be allowed. See failure example below.
> Some examples where the config set is metadata.sync.remote_servers_allowed=https://server1.org/,https://server2.org/
> - supply https://server1.org/path/to/resource -> this will be accepted
> - supply https://server2.org/resource/path -> this will be accepted
> - supply https://oldserver.org/resource/path -> this will be rejected
>
Sample failure response ```json
{
"httpStatus": "Conflict",
"httpStatusCode": 409,
"status": "ERROR",
"message": "Provided URL is not in the remote servers allowed list",
"errorCode": "E1004"
}
```
```json
["www.google.com", "www.dhis2.org", "www.who.int"]
``` 审计事件的一个或多个组织单位标识符
用于项目阶段引用的 IdScheme。默认为 idScheme 参数。 活动 ID 一个或多个审计事件的事件标识符(用逗号分隔)
ps 计划阶段 ID 审计活动计划的一个或多个计划负责人
开始日期 The endpoint for data approval audits is located at: 仅返回日期后创建的审计记录
结束日期 Once auditing is enabled for tracked entities (by setting allowAuditLog of tracked entity types to true), all read and search operations are logged. The endpoint for accessing audit logs is located at: 只返回日期前创建的审计记录
{"type":"RELATIVE","period":"TODAY"} 组织单位选择模式 精选
The endpoint for aggregate data value audits is located at: ```
/api/audits/dataValue
```
Table: Aggregate data value query parameters 选项
true ds 真正
定义要返回的页码。 Data approval workflow ID
定义每页返回的元素数量。 Organisation unit ID

示例:获取数据元素 eMyVanycQSCqrur9Dvnyt5 的审核:

/ api / 33 / audits / trackedEntityDataValue?de = eMyVanycQSC&de = qrur9Dvnyt5

示例:获取组织单位 O6uvpzGd5pu 的审计信息,包括组织单位层次结构中的后代组织单位:

/api/audits/trackedEntityDataValue?ou=O6uvpzGd5pu&ouMode=DESCENDANTS

跟踪实体属性值审核

跟踪实体属性值审计的端点位于

/api/audits/trackedEntityAttributeValue

表格:跟踪实体属性值查询参数

默认值 选项 描述
被跟踪实体属性 ID 一个或多个被跟踪实体属性标识符
Absolute end date. Applicable only when type is ABSOLUTE 被跟踪实体 ID page
The endpoint for aggregate data value audits is located at: ```
/api/audits/dataValue
```
Table: Aggregate data value query parameters 选项
true ds 真正
定义要返回的页码。 Data approval workflow ID
定义每页返回的元素数量。 Organisation unit ID

示例:获取已跟踪实体属性 VqEFza8wbwA 的审计:

/ api / 33 / audits / trackedEntityAttributeValue?tea = VqEFza8wbwA

示例:获取被跟踪实体实例 wNiQ2coVZ39 和审核类型 DELETE 的审核:

/api/33/audits/trackedEntityAttributeValue?trackedEntities=wNiQ2coVZ39&auditType=DELETE

跟踪实体实例审核

Filter by one or more audit types

skipPaging

false | true

默认值 选项 描述
Absolute end date. Applicable only when type is ABSOLUTE Enable or disable paging page
> Note
>
> The repetition attribute (in rows, columns or filters) indicates the events indexes to be retrieved. Taking the example above (in the previous json payload), it can be read as follows:
>
1 = First event
2 = Second event
3 = Third event
...
-2 = Third latest event
-1 = Second latest event
0 = Latest event (default) 用户 pageSize
Page size (default 50) ```
/api/audits/dataValue
```
开始日期 The endpoint for data approval audits is located at: /api/33/audits/trackedEntity.json?trackedEntities=wNiQ2coVZ39
结束日期 Once auditing is enabled for tracked entities (by setting allowAuditLog of tracked entity types to true), all read and search operations are logged. The endpoint for accessing audit logs is located at: ```
/api/audits/trackedEntityInstance
```
Table: Aggregate data value query parameters 选项
true ds 真正
定义要返回的页码。 One or more user identifiers
定义每页返回的元素数量。 Filter by one or more audit types

开始日期

Start date

Start date for audits in yyyy-mm-dd format

结束日期

End date

End date for audits in yyyy-mm-dd format

skipPaging

false | true

默认值 选项 描述
Absolute end date. Applicable only when type is ABSOLUTE Enable or disable paging page
> Note
>
> The repetition attribute (in rows, columns or filters) indicates the events indexes to be retrieved. Taking the example above (in the previous json payload), it can be read as follows:
>
1 = First event
2 = Second event
3 = Third event
...
-2 = Third latest event
-1 = Second latest event
0 = Latest event (default) 用户 pageSize
Page size (default 50) ```
/api/audits/dataValue
```
开始日期 The endpoint for data approval audits is located at: /api/33/audits/trackedEntity.json?trackedEntities=wNiQ2coVZ39
结束日期 Once auditing is enabled for tracked entities (by setting allowAuditLog of tracked entity types to true), all read and search operations are logged. The endpoint for accessing audit logs is located at: ```
/api/audits/trackedEntityInstance
```
Table: Aggregate data value query parameters 选项
true ds 真正
定义要返回的页码。 One or more user identifiers
定义每页返回的元素数量。 Filter by one or more audit types

开始日期

Start date

Start date for audits in yyyy-mm-dd format

结束日期

数据审批审核

End date for audits in yyyy-mm-dd format

skipPaging

false | true

默认值 选项 描述
真正 Whether to enable or disable paging page
Page number (default 1) pageSize
```json
["www.google.com", "www.dhis2.org", "www.who.int"]
``` Example: Get audits of audit type READ with startDate 2018-03-01 and endDate 2018-04-24 with a page size of 5:
冠捷 Example: Get audits for tracked entity wNiQ2coVZ39: /api/33/audits/trackedEntityInstance.json?trackedEntities=wNiQ2coVZ39
开始日期 The endpoint for data approval audits is located at: ```
/api/audits/dataApproval
```
结束日期 Once auditing is enabled for tracked entities (by setting allowAuditLog of tracked entity types to true), all read and search operations are logged. The endpoint for accessing audit logs is located at: 选项
Table: Aggregate data value query parameters 选项
定义要返回的页码。 Data approval workflow ID
定义每页返回的元素数量。 Organisation unit ID

One or more organisation unit identifiers

冠捷

Attribute option combo ID

One or more attribute option combination identifiers